name: Build
on:
  push:
jobs:
  operator:
    name: Operator
    runs-on: ubuntu-latest
    steps:

    - name: Set up Go 1.15
      uses: actions/setup-go@v2.2.0
      with:
        go-version: 1.15
      id: go

    - name: Check out code into the Go module directory
      uses: actions/checkout@v2.7.0

    - name: Get dependencies
      run: |
        go get -v -t -d ./...
        export PATH=$PATH:/home/runner/go/bin

    - name: Build
      run: ./hack/build/operator/build
  backup-operator:
    name: Backup operator
    runs-on: ubuntu-latest
    steps:

      - name: Set up Go 1.13
        uses: actions/setup-go@v2.2.0
        with:
          go-version: 1.13
        id: go

      - name: Check out code into the Go module directory
        uses: actions/checkout@v2.7.0

      - name: Get dependencies
        run: |
          go get -v -t -d ./...
          export PATH=$PATH:/home/runner/go/bin

      - name: Build
        run: ./hack/build/backup-operator/build
  restore-operator:
    name: Restore operator
    runs-on: ubuntu-latest
    steps:

      - name: Set up Go 1.13
        uses: actions/setup-go@v2.2.0
        with:
          go-version: 1.13
        id: go

      - name: Check out code into the Go module directory
        uses: actions/checkout@v2.7.0

      - name: Get dependencies
        run: |
          go get -v -t -d ./...
          export PATH=$PATH:/home/runner/go/bin

      - name: Build
        run: ./hack/build/restore-operator/build
